/***************************************************************************
**
**    $Header$
**
**    $Log$
** 
****************************************************************************/

// bptexp.h : header file
//
#ifndef _GOAPI_H_
#define _GOAPI_H_


/////////////////////////////////////////////////////////////////////////////
// Exported function
#include "abitype.h" 

#ifdef __cplusplus
extern "C" {
#endif	// __cplusplus

BOOL	WINAPI InitGoSvrDLL();
void    WINAPI SetGoCpuStatus(int);			 
int     WINAPI GetGoCpuStatus();
void    WINAPI SetGoCpuBakStatus(int);       
int     WINAPI GetGoCpuBakStatus(); 
void    WINAPI SetGoSaveAddr(U32 addr,U16 addrType);           
void    WINAPI GetGoSaveAddr(U32& addr,U16& addrType);            
void    WINAPI SetGoCanTime(BOOL);             
BOOL    WINAPI GetGoCanTime();
void 	WINAPI HaltCmd(int nArgc, char* pszArgv[]);
void 	WINAPI EmuServerHalt(void);
void    WINAPI JumpCmd(int nArgc, char* pszArgv[]);
void    WINAPI EmuServerJump(ADDR uAddr);
void 	WINAPI EmuServerGo(int nMode, ADDR addr);
void 	WINAPI GoCmd(int nArgc, char* pszArgv[]);
void    WINAPI RestartCmd(int m_nArgc,char* m_pszArgv[]);
void    WINAPI WaitCmd();
#ifdef __cplusplus
}
#endif	// __cplusplus


#endif
/////////////////////////////////////////////////////////////////////////////
